API Explorer 936 endpoints

Get MethodRoutings

GET /obp/v7.0.0/management/method_routings

OBPv3.1.0-getMethodRoutings Roles: CanGetMethodRoutings Method-RoutingAPI

Get the all MethodRoutings.

Query url parameters:

  • method_name: filter with method_name
  • active: if active = true, it will show all the webui_ props. Even if they are set yet, we will return all the default webui_ props

eg: https://obp-api-sandbox.nmbbank.co.tz/obp/v3.1.0/management/method_routings?active=true https://obp-api-sandbox.nmbbank.co.tz/obp/v3.1.0/management/method_routings?method_name=getBank

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (3)
key
CustomerNumber
parameters
value
5987953
Example success response
{
  "method_routings": [
    {
      "is_bank_id_exact_match": false,
      "method_name": "getBanks",
      "parameters": [
        {
          "key": "url",
          "value": "http://mydomain.com/xxx"
        }
      ],
      "method_routing_id": "method-routing-id",
      "connector_name": "rest_vMar2019",
      "bank_id_pattern": "some_bank_.*"
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv3.1.0 getMethodRoutings Originally /obp/v3.1.0/management/method_routings